Прошу проверить скрипт

О том о сем
В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 11:41

wanoska писал(а):Источник цитаты мне кажется разницы не будет

Тогда оставим как есть..
wanoska писал(а):Источник цитаты какую ошибку говорит?

Вот:
► Показать

 ! Сообщение из: symon2014
Уволю!

wanoska писал(а):Источник цитаты Если вот так попробывать?

Неее, легче через терминал, таким вот способом:

Код: Выделить всё

sudo cd /tmp;mkdir google-earth && cd google-earth;wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian11ubuntu8_all.deb;wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-security_4.1+Debian11ubuntu8_amd64.deb;wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu8_amd64.deb;sudo dpkg -i *.deb;sudo apt -f install;wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb;sudo dpkg -i google-earth-stable*.deb

Так ставиться без проблем, а через скрипт почему то не хочет...
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 11:47

Сообщение из: symon2014
:зло:

????

В чем проблема, не понял?
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

Аватара пользователя
symon2014
Сообщения: 1401
Зарегистрирован: 29 авг 2016, 02:17
Решено: 16
Откуда: Феодосия
Благодарил (а): 43 раза
Поблагодарили: 374 раза

Прошу проверить скрипт

Сообщение symon2014 » 02 май 2017, 11:50

BadBird, Простыни под спойлер за тобой прятать? :aggressive:
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 11:52

symon2014, вообще то простыню под спойлер спрятал я после нескольких секунд как был написан пост!!!
Ошибся тегом, сперва выбрал оффтоповский но спойлер я вставил...так что это банальные придирки, более схожие показать кто тут начальника - дворник а кто просто пользователь....
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

Аватара пользователя
symon2014
Сообщения: 1401
Зарегистрирован: 29 авг 2016, 02:17
Решено: 16
Откуда: Феодосия
Благодарил (а): 43 раза
Поблагодарили: 374 раза

Прошу проверить скрипт

Сообщение symon2014 » 02 май 2017, 12:03

BadBird, Под спойлер убрал я. А под тэг <mod> не втавился смайл :smile: . Ещё один аргумент в пользу болталки.
:sry:
Debian (8.8) , LMDE2 , LM 18.2 Mate .

Аватара пользователя
wanoska
Сообщения: 109
Зарегистрирован: 17 окт 2016, 12:36
Решено: 2
Откуда: Кинешма
Благодарил (а): 21 раз
Поблагодарили: 25 раз

Прошу проверить скрипт

Сообщение wanoska » 02 май 2017, 12:03

BadBird, а если попробывать lsb-core установить руками, sudo apt-get install lsb-core, а потом попробовать запустить проблемный огрызок скрипта.
P.S. тема навеяла идею сделать что то похожее на это, но вот не могу разобраться с самим скриптом, может есть у кого что то типа то кого только с комментариями
► Показать
У вас нет необходимых прав для просмотра вложений в этом сообщении.
LM18.2 Cinnamon 3.2.7 Kernel: 4.12.0-041200-generic

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 12:08

symon2014 писал(а):Источник цитаты Под спойлер убрал я.

Неее, свою простыню я сам лично спрятал под спойлер!
wanoska, я думаю, если делать какие то лишние движения (скрипт то ведь создается для автоматизма рутинной работы), то уж лучше как я и говорил выше, через терминал...
wanoska писал(а):Источник цитаты P.S. тема навеяла идею сделать что то похожее на это

Было бы отлично!!!
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

Аватара пользователя
wanoska
Сообщения: 109
Зарегистрирован: 17 окт 2016, 12:36
Решено: 2
Откуда: Кинешма
Благодарил (а): 21 раз
Поблагодарили: 25 раз

Прошу проверить скрипт

Сообщение wanoska » 02 май 2017, 12:15

BadBird писал(а):Источник цитаты я думаю, если делать какие то лишние движения (скрипт то ведь создается для автоматизма рутинной работы), то уж лучше как я и говорил выше, через терминал...

потом просто дописать этот пакет в скрипт и всё, если поставится конечно.
LM18.2 Cinnamon 3.2.7 Kernel: 4.12.0-041200-generic

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 12:21

wanoska, есть у меня версия, ставил на лайв режим, возможно это и играет роль, но опять же, в том же режиме через терминал глобус ставиться без проблем.
Ставить на реальное железо возможностей нет, по причине того что глобус уже установлен в ос и полностью его искоренить вряд ли удастся...какие то пакеты от него в любом случае останутся в ос.
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

Аватара пользователя
wanoska
Сообщения: 109
Зарегистрирован: 17 окт 2016, 12:36
Решено: 2
Откуда: Кинешма
Благодарил (а): 21 раз
Поблагодарили: 25 раз

Прошу проверить скрипт

Сообщение wanoska » 02 май 2017, 13:11

BadBird, я уже сума начал сходить) там какие то круговые зависимости)))
► Показать
видимо ему не хватает пакета lsb-core он только на него у меня ругается на железе, какая у тебя os 32 или 64?
LM18.2 Cinnamon 3.2.7 Kernel: 4.12.0-041200-generic

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 13:15

wanoska писал(а):Источник цитаты какая у тебя os 32 или 64?

х64
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

Аватара пользователя
wanoska
Сообщения: 109
Зарегистрирован: 17 окт 2016, 12:36
Решено: 2
Откуда: Кинешма
Благодарил (а): 21 раз
Поблагодарили: 25 раз

Прошу проверить скрипт

Сообщение wanoska » 02 май 2017, 14:08

BadBird, что то у меня больше нет идей, надо взывать к высшим силам :help: :help: :help:
LM18.2 Cinnamon 3.2.7 Kernel: 4.12.0-041200-generic

В сети
Аватара пользователя
Chocobo
Сообщения: 4233
Зарегистрирован: 27 авг 2016, 19:57
Решено: 104
Откуда: НН
Благодарил (а): 359 раз
Поблагодарили: 1125 раз

Прошу проверить скрипт

Сообщение Chocobo » 02 май 2017, 14:33

А нафига вам вообще lsb-core, lsb-security тянуть дебками?
После установки lsb-core из реп - все зависимости гуглоземли были в норме
lsb-coregearth.png


Убрать wget'ы на lsb* пакеты и добавить строчку на установку lsb-core аптом.
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 14:50

wanoska писал(а):Источник цитаты что то у меня больше нет идей,

Фигня, прорвемся )))
Chocobo писал(а):Источник цитаты После установки lsb-core из реп - все зависимости гуглоземли были в норме

И этот пакет в моем случае нифига не установился....
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

В сети
Аватара пользователя
Chocobo
Сообщения: 4233
Зарегистрирован: 27 авг 2016, 19:57
Решено: 104
Откуда: НН
Благодарил (а): 359 раз
Поблагодарили: 1125 раз

Прошу проверить скрипт

Сообщение Chocobo » 02 май 2017, 14:51

Ну и можно обработку зависимостей оставить самому апту, дабы строчки не плодить
sudo apt deb google-earth-stable*.deb сам все сделает :smile:

dpkg -i не разруливает зависимости сам, apt deb сделает норм, только стоит проверить как оно обстоит в целевой системе, если она отлична от минта
Изображение

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 15:07

Chocobo, так?

Код: Выделить всё

cd /tmp
mkdir google-earth && cd google-earth
wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-invalid-mta_4.1+Debian11ubuntu8_all.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-security_4.1+Debian11ubuntu8_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/main/l/lsb/lsb-core_4.1+Debian11ubuntu8_amd64.deb
dpkg -i *.deb
apt -f install -y
wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
apt deb google-earth-stable*.deb -y
Последний раз редактировалось BadBird 02 май 2017, 15:22, всего редактировалось 1 раз.
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

В сети
Аватара пользователя
Chocobo
Сообщения: 4233
Зарегистрирован: 27 авг 2016, 19:57
Решено: 104
Откуда: НН
Благодарил (а): 359 раз
Поблагодарили: 1125 раз

Прошу проверить скрипт

Сообщение Chocobo » 02 май 2017, 15:12

Каким образом подобрал версию 4.1 для установки? Из первого поста вижу что ксубунта, но не вижу какой версии дистрибутив.
Этот пакет собран в мае 14 года, за два года до релиза 16.04 - с репа xenial-updates он (lsb-core) 9.2 версии
Оно пойдет для trusty. Меня вот этот момент смущает больше.

А так, если не собирать пакеты по разным углам, то должно хваттить вот этой конструкции

Код: Выделить всё

cd /tmp
mkdir google-earth && cd google-earth
wget https://dl.google.com/dl/earth/client/c ... _amd64.deb
apt deb google-earth-stable*.deb -y


Скажи на чем мучаешь сей скрипт, чтоб можно было обсуждать ближе к реалиям :smile:
Изображение

В сети
Аватара пользователя
Chocobo
Сообщения: 4233
Зарегистрирован: 27 авг 2016, 19:57
Решено: 104
Откуда: НН
Благодарил (а): 359 раз
Поблагодарили: 1125 раз

Прошу проверить скрипт

Сообщение Chocobo » 02 май 2017, 15:16

Не по теме
И да, для многострочных листингов когда - юзайте [code][/code] (пятая иконка на панелиИзображение), icode только для инлайнов
Изображение

В сети
Аватара пользователя
BadBird
Сообщения: 972
Зарегистрирован: 09 сен 2016, 18:08
Решено: 2
Благодарил (а): 43 раза
Поблагодарили: 77 раз

Прошу проверить скрипт

Сообщение BadBird » 02 май 2017, 15:18

Chocobo писал(а):Источник цитаты Каким образом подобрал версию 4.1 для установки?

Способ установки был взят отсюда: https://losst.ru/ustanovka-google-earth-v-ubuntu-16-04 (вариант Установка Google Earth в Ubuntu через терминал)
ОС хубунту 16.04.2 х64, на которую через терминал я без проблем установил данную программу.
Но а эксперименты провожу в лайв режиме той же ос.
Всё о тайлинге окон...ну, или почти всё: Тыц!!!

В сети
Аватара пользователя
Chocobo
Сообщения: 4233
Зарегистрирован: 27 авг 2016, 19:57
Решено: 104
Откуда: НН
Благодарил (а): 359 раз
Поблагодарили: 1125 раз

Прошу проверить скрипт

Сообщение Chocobo » 02 май 2017, 15:42

Странный выбор у того автора, ну да ладно, это их дела :smile:

BadBird, ну как-то вот так в условиях ксубунты

Код: Выделить всё

 apt update      # Необязательно, если давалось ранее по тексту
mkdir /tmp/google-earth && cd /tmp/google-earth
wget https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
apt install ./google-earth-stable_current_amd64.deb

xub1.png

xub2.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение


Вернуться в «Болталка: Оффтоп, разбор полетов»

Кто сейчас на конференции

Сейчас этот форум просматривают: BadBird, CCBot [Bot], darkfenix, kobolt, KOT040188 и 1 гость